Bug 954991 - [faf] libreoffice-core-3.6.5.2-2.fc18.i686 SIGSEGV in Application::GetMainThreadIdentifier()
Summary: [faf] libreoffice-core-3.6.5.2-2.fc18.i686 SIGSEGV in Application::GetMainThr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:51834f9a0f30fa4767f1af1c976...
: 957277 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-22 13:05 UTC by abrt-bot
Modified: 2013-10-08 11:38 UTC (History)
7 users (show)

Fixed In Version: libreoffice-3.6.6.2-4.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-08 11:38:49 UTC


Attachments (Terms of Use)

Description abrt-bot 2013-04-22 13:05:22 UTC
Description of problem: 
Faf server recevied number of crash reports for this package.

Problem URL:
https://retrace.fedoraproject.org/faf/problems/bthash/51834f9a0f30fa4767f1af1c976d2902ec4ef6a8

Version-Release number of selected component:
libreoffice-core-3.6.5.2-2.fc18.i686

Additional info:
first occurence: 2013-02-18 10:21 UTC
reports count: 23
executable: /usr/lib/libreoffice/program/soffice.bin

Truncated backtrace:
#   Function                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          Path                                                          Source                                                                                         
0   com::sun::star::registry::cppu_detail_getUnoType                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  /usr/lib/libreoffice/program/libvcllo.so                      /usr/src/debug/libreoffice-3.6.5.2/solver/unxlngi6.pro/inc/rtl/ustring.hxx:286                 
1   XIOErrorHdl                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       /usr/lib/libreoffice/program/libvclplug_gtklo.so              /usr/src/debug/libreoffice-3.6.5.2/vcl/unx/gtk/app/gtkdata.cxx:538                             
2   _XIOError                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         /usr/lib/libX11.so.6                                          /usr/src/debug/libX11-1.5.0/src/XlibInt.c:1621                                                 
3   _XReply                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           /usr/lib/libX11.so.6                                          /usr/include/bits/stdio2.h:97                                                                  
4   XSync                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             /usr/lib/libX11.so.6                                          /usr/src/debug/libX11-1.5.0/src/Sync.c:46                                                      
5   XCloseDisplay                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     /usr/lib/libX11.so.6                                          /usr/src/debug/libX11-1.5.0/src/ClDisplay.c:63                                                 
6   x11::SelectionManager::~SelectionManager                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          /usr/lib/libreoffice/program/libvclplug_genlo.so              /usr/src/debug/libreoffice-3.6.5.2/solver/unxlngi6.pro/inc/osl/mutex.hxx:85                    
7   x11::SelectionManager::~SelectionManager                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          /usr/lib/libreoffice/program/libvclplug_genlo.so              /usr/src/debug/libreoffice-3.6.5.2/solver/unxlngi6.pro/inc/cppuhelper/weak.hxx:96              
8   cppu::OWeakObject::release                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        /usr/lib/libreoffice/ure-link/lib/libuno_cppuhelpergcc3.so.3                                                                                                 
9   cppu::WeakImplHelper4<com::sun::star::datatransfer::dnd::XDragSource, com::sun::star::lang::XInitialization, com::sun::star::awt::XEventHandler, com::sun::star::frame::XTerminateListener>::release                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              /usr/lib/libreoffice/program/libvclplug_genlo.so              /usr/src/debug/libreoffice-3.6.5.2/solver/unxlngi6.pro/inc/cppuhelper/implbase4.hxx:118        
10  x11::X11Clipboard::~X11Clipboard                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  /usr/lib/libreoffice/program/libvclplug_genlo.so              /usr/src/debug/libreoffice-3.6.5.2/solver/unxlngi6.pro/inc/com/sun/star/uno/Reference.hxx:116  
11  x11::X11Clipboard::~X11Clipboard                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  /usr/lib/libreoffice/program/libvclplug_genlo.so              /usr/src/debug/libreoffice-3.6.5.2/solver/unxlngi6.pro/inc/cppuhelper/compbase_ex.hxx:72       
12  cppu::OWeakObject::release                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        /usr/lib/libreoffice/ure-link/lib/libuno_cppuhelpergcc3.so.3                                                                                                 
13  cppu::WeakComponentImplHelperBase::release                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        /usr/lib/libreoffice/ure-link/lib/libuno_cppuhelpergcc3.so.3                                                                                                 
14  cppu::WeakComponentImplHelper4<com::sun::star::datatransfer::clipboard::XClipboardEx, com::sun::star::datatransfer::clipboard::XClipboardNotifier, com::sun::star::lang::XServiceInfo, com::sun::star::lang::XInitialization>::release                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            /usr/lib/libreoffice/program/libvclplug_genlo.so              /usr/src/debug/libreoffice-3.6.5.2/solver/unxlngi6.pro/inc/cppuhelper/compbase4.hxx:76         
15  boost::unordered::unordered_map<rtl::OUString, boost::unordered::unordered_map<unsigned long, com::sun::star::uno::Reference<com::sun::star::datatransfer::clipboard::XClipboard>, boost::hash<unsigned long>, std::equal_to<unsigned long>, std::allocator<std::pair<unsigned long const, com::sun::star::uno::Reference<com::sun::star::datatransfer::clipboard::XClipboard> > > >, rtl::OUStringHash, std::equal_to<rtl::OUString>, std::allocator<std::pair<rtl::OUString const, boost::unordered::unordered_map<unsigned long, com::sun::star::uno::Reference<com::sun::star::datatransfer::clipboard::XClipboard>, boost::hash<unsigned long>, std::equal_to<unsigned long>, std::allocator<std::pair<unsigned long const, com::sun::star::uno::Reference<com::sun::star::datatransfer::clipboard::XClipboard> > > > > > >::~unordered_map  /usr/lib/libreoffice/program/libvclplug_genlo.so              /usr/include/c++/4.7.2/ext/new_allocator.h:100                                                 
16  __run_exit_handlers                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               /lib/libc.so.6                                                /usr/src/debug/glibc-2.16-75f0d304/stdlib/exit.c:78                                            
17  exit                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              /lib/libc.so.6                                                /usr/src/debug/glibc-2.16-75f0d304/stdlib/exit.c:99                                            
18  __libc_start_main                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 /lib/libc.so.6                                                /usr/src/debug/glibc-2.16-75f0d304/csu/libc-start.c:105                                        
19  _start                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            /usr/lib/libreoffice/program/soffice.bin                                                                                                                     


This ticket was created automatically. If this report is malformed or not helpful
please let us know on crash-catcher@lists.fedorahosted.org so we can improve it.

Comment 1 Fedora Update System 2013-04-23 10:53:04 UTC
libreoffice-4.0.3.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.0.3.1-2.fc19

Comment 2 Eike Rathke 2013-04-23 17:27:46 UTC
I'm almost sure that I added also this bug during fedpkg update, but ... so

libreoffice-3.6.6.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.6.2-5.fc18

Comment 3 Stephan Bergmann 2013-04-29 06:38:43 UTC
*** Bug 957277 has been marked as a duplicate of this bug. ***

Comment 4 Fedora Update System 2013-04-30 04:30:13 UTC
libreoffice-4.0.3.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.